<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="150dp"
        android:background="@drawable/bg_e7ecff_edf5ff_blr15"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:id="@+id/fl_fanhui"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="15dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="UselessParent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/quit"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="@id/fl_fanhui"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/tv_recover"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="24dp"
                android:background="@drawable/bg_recover_enable"
                android:enabled="false"
                android:paddingHorizontal="18dp"
                android:paddingVertical="8dp"
                android:text="Recover (0)"
                app:layout_constraintBottom_toBottomOf="@id/fl_fanhui"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/fl_fanhui">

            <LinearLayout
                android:id="@+id/ll_date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:orientation="horizontal"
                tools:ignore="UseCompoundDrawables">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="Date"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_date"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:src="@drawable/shouqi"
                    tools:ignore="ContentDescription" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="30dp"
                android:orientation="horizontal"
                tools:ignore="UseCompoundDrawables">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="Size"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:src="@drawable/shouqi"
                    tools:ignore="ContentDescription" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_layout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="30dp"
                android:orientation="horizontal"
                tools:ignore="UseCompoundDrawables">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="Layout"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_layout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:src="@drawable/shouqi"
                    tools:ignore="ContentDescription" />

            </LinearLayout>

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:paddingVertical="10dp"
        android:id="@+id/ll_all_select"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#ffffff"
        android:orientation="horizontal"
        android:paddingHorizontal="10dp"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <FrameLayout
            android:layout_gravity="center_vertical"
            android:id="@+id/fl_select_all"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_select_all"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:src="@drawable/bg_circle_selector"
                tools:ignore="ContentDescription" />

        </FrameLayout>

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="8dp"
            android:layout_weight="1"
            android:text="Select all"
            android:textColor="#000000"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical"
            android:src="@drawable/qiehuan"
            android:visibility="gone"
            tools:ignore="ContentDescription" />
    </LinearLayout>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll_all_select">


        <com.google.android.material.appbar.AppBarLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_thumbnails"
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:background="#ffffff"
                android:minHeight="80dp"
                app:layout_scrollFlags="scroll|enterAlways">

                <TextView
                    android:id="@+id/tv_thumbnails"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="10dp"
                    android:textColor="#000000"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="HardcodedText"
                    tools:text="Hide thumbnails (255)" />

                <TextView
                    android:id="@+id/tv_thumbnails_tip"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="12dp"
                    android:layout_marginStart="16dp"
                    android:text="Thumbnails refer to photos below 256 pixels."
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_thumbnails"
                    tools:ignore="HardcodedText" />

                <Switch
                    android:id="@+id/switch_thumbnails"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:switchMinWidth="50dp"
                    android:thumbTint="#E4E7EC"
                    android:trackTint="@color/switch_track_selector"
                    app:layout_constraintBottom_toTopOf="@id/tv_thumbnails_tip"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_thumbnails"
                    tools:ignore="UseSwitchCompatOrMaterialXml,TouchTargetSizeCheck" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#D4D4D4"
                    app:layout_constraintBottom_toBottomOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </com.google.android.material.appbar.AppBarLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center_horizontal"
            android:background="#FDFDFD"
            android:visibility="visible"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_behavior="@string/appbar_scrolling_view_behavior" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

    <FrameLayout
        android:id="@+id/ll_filter"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="#80000000"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top">


        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_e7ecff_edf5ff_blr15">

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_gravity="top"
                android:layout_marginHorizontal="24dp"
                android:layout_marginTop="2dp"
                android:background="#D4D4D4" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_filter"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="24dp"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_recovery_filter" />
        </FrameLayout>


    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>